Subject: Re: Radiator repair

From: "John R. Johnson" <[email-masked]>
Date: Fri, 26 Apr 1996 08:05:23 -0500

On Fri, 26 Apr 1996, Jonathan M. Elson wrote:

> : You are lucky.  My radiator cap stuck on my Toyota MR-2.  Overpressure
> 
> I used to have one, too.  Really fine car.  Even got one of my snootiest
> RX-7 friends to allow that it might hold the road better than his Mazda.
> A VERY big admission!  It must hold the road A WHOLE LOT better than his
> Mazda!  Anyway, didn't you get a hot light?

No hot light!  The temp gauge went to the stop in a few seconds, but by
then the head was warped.  I drove it less than 30 seconds after the 
loss of coolant and I could hear it boiling in the head when I stopped.
Durn aluminum heads anyway.  

> 
> : caused the radiator to split and dump all the coolant on the interstate.
> : The head immediately warped!  After a week to disassemble the car to get
> : the head out, sent it off to be machined.  Remove radiator and repair
> <snip>
> : Then another week and a half to put everything back into this 
> Japanese : threee dimensional jigsaw puzzle.
> 
> OH YES!  Just try changing the oil filter while the engine is still warm!

Or without the A&P Mechanics optional second elbow in each arm!
> 
> : At least it now runs as well as it did 10 years ago when it was new. :-)
> : John
> 
> I only had two complaints with mine - it made a HORRIBLE racket on the
> highway - something in the engine resonated about 59 MPH, and you just
> couldn't STAND it!  And, partly connected to that, it was the only car
> I've ever owned that got better CITY than highway milage!  The crazy
> gearing was WAY too high, but it did give it some acceleration.

I have a little better gearing, I get about 20 mph / 1000 rpm any my
horrible resonance comes at about 65 MPH.

> 
> Oh, yeah - the other problem is it was so much fun to drive I kept bumping
> into things with it.  When my insurer offered to total it out and pay me
> nearly what I paid for it after 3 years of use, I just couldn't turn them
> down.  So, a guy who works in a body shop bought it on the scrap lot, and
> is rebuilding it.  That made me feel a whole lot better about letting them
> call it a total loss (as I drove back home after wrecking it - it still ran
> fine!)
> 
It is fun to drive.  I have, so far, managed to avoid hitting anything
serious with it.  I do have 100,000 miles on it, so I probably can't 
complain too much about the valve job.  By the way, I replaced the
brake pads and the tires at the same time!  Not too bad.
John